Last Comment Bug 714542 - Mac build uses pretty naming for *.checksums files
: Mac build uses pretty naming for *.checksums files
Status: RESOLVED FIXED
[releases][automation][updates][qa-]
:
Product: Release Engineering
Classification: Other
Component: Other (show other bugs)
: other
: x86 Mac OS X
: P2 normal (vote)
: ---
Assigned To: Rail Aliiev [:rail]
:
Mentors:
Depends on:
Blocks: 607389
  Show dependency treegraph
 
Reported: 2012-01-01 11:17 PST by Rail Aliiev [:rail]
Modified: 2013-08-12 21:54 PDT (History)
4 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
fixed
fixed


Attachments
rename mac checksums file (2.82 KB, patch)
2012-01-01 11:17 PST, Rail Aliiev [:rail]
ted: review+
jhford: feedback+
akeybl: approval‑mozilla‑aurora+
lukasblakk+bugs: approval‑mozilla‑esr10+
bhearsum: checked‑in+
Details | Diff | Splinter Review

Description Rail Aliiev [:rail] 2012-01-01 11:17:34 PST
Created attachment 585218 [details] [diff] [review]
rename mac checksums file

http://stage.mozilla.org/pub/mozilla.org/firefox/nightly/9.0-candidates/build1/mac/af/
vs
http://stage.mozilla.org/pub/mozilla.org/firefox/nightly/9.0-candidates/build1/unsigned/win32/af/
and 
http://stage.mozilla.org/pub/mozilla.org/firefox/nightly/9.0-candidates/build1/linux-i686/af/

It would be great to use the same pattern for all platforms what will simplify my snippet generation work for bug 607389.

I'm not sure where these checksums files are used, so before forwarding this patch to Core/Build Config I wanted to get feedback.
Comment 1 John Ford [:jhford] CET/CEST Berlin Time 2012-01-03 05:44:47 PST
Comment on attachment 585218 [details] [diff] [review]
rename mac checksums file

Review of attachment 585218 [details] [diff] [review]:
-----------------------------------------------------------------

changing names should be fine.
Comment 2 Rail Aliiev [:rail] 2012-01-03 15:06:19 PST
Comment on attachment 585218 [details] [diff] [review]
rename mac checksums file

Worked fine in staging
Comment 3 Ben Hearsum (:bhearsum) 2012-01-10 07:46:58 PST
Comment on attachment 585218 [details] [diff] [review]
rename mac checksums file

http://hg.mozilla.org/mozilla-central/rev/0a5fdc470f9a
Comment 4 Rail Aliiev [:rail] 2012-01-10 10:14:40 PST
Yay!
Comment 5 Rail Aliiev [:rail] 2012-01-12 21:41:33 PST
Reopening to nominate the patch for aurora.
Comment 6 Rail Aliiev [:rail] 2012-01-12 21:55:10 PST
Comment on attachment 585218 [details] [diff] [review]
rename mac checksums file

The patch will be required for Firefox 11.0 release automation where we introduce signing of binaries and MAR files as a part of build process. We need to use *.checksums files to generate snippets without downloading complete MAR files for current and previous releases and generating partial MAR files. It should reduce release end-to-end time at least for 1h.

User impact if declined: None, the "*.checksums" files are used by automation.
Testing completed (on m-c, etc.): the patch baked in m-c for a couple of days and passed staging release automation.
Risk to taking this patch (and alternatives if risky): low
Comment 7 Alex Keybl [:akeybl] 2012-01-16 13:19:03 PST
Comment on attachment 585218 [details] [diff] [review]
rename mac checksums file

[Triage Comment]
Approved for Aurora - 1hr off the release sounds like a great win!
Comment 8 Ben Hearsum (:bhearsum) 2012-01-16 13:45:21 PST
Comment on attachment 585218 [details] [diff] [review]
rename mac checksums file

hg.mozilla.org/releases/mozilla-aurora/rev/e606b449fe72
Comment 9 Rail Aliiev [:rail] 2012-02-28 14:47:52 PST
Comment on attachment 585218 [details] [diff] [review]
rename mac checksums file

It would be great to port this functionality to the ESR branch what would allow RelEng dropping manual signing. This feature has been tested for 4 betas and worked just fine.
Comment 10 Lukas Blakk [:lsblakk] use ?needinfo 2012-02-28 14:57:17 PST
Comment on attachment 585218 [details] [diff] [review]
rename mac checksums file

[Triage Comment]
Looks good to me, please land today preferably in order to be ready for go-to-build on Friday
Comment 11 Rail Aliiev [:rail] 2012-02-29 06:23:27 PST
Comment on attachment 585218 [details] [diff] [review]
rename mac checksums file

Transplanted to esr10:
http://hg.mozilla.org/releases/mozilla-esr10/rev/72e6cfd7a699

Note You need to log in before you can comment on or make changes to this bug.